AttributedString
Date: 2016-06-24

java.text

## Class AttributedString

- java.lang.Object
- - java.text.AttributedString

-     public class AttributedString
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributedString(AttributedCharacterIterator var0)`
    `AttributedString(AttributedCharacterIterator var0, int var1, int var2)`
    `AttributedString(AttributedCharacterIterator var0, int var1, int var2, AttributedCharacterIterator.Attribute[] var3)`
    `AttributedString(String var0)`
    `AttributedString(String var0, Map var1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAttribute(AttributedCharacterIterator.Attribute var0, Object var1)`
    `void` | `addAttribute(AttributedCharacterIterator.Attribute var0, Object var1, int var2, int var3)`
    `void` | `addAttributes(Map var0, int var1, int var2)`
    `AttributedCharacterIterator` | `getIterator()`
    `AttributedCharacterIterator` | `getIterator(AttributedCharacterIterator.Attribute[] var0)`
    `AttributedCharacterIterator` | `getIterator(AttributedCharacterIterator.Attribute[] var0, int var1, int var2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributedString

          public AttributedString(String var0)

    - #### AttributedString

          public AttributedString(String var0,
                          Map var1)

    - #### AttributedString

          public AttributedString(AttributedCharacterIterator var0)

    - #### AttributedString

          public AttributedString(AttributedCharacterIterator var0,
                          int var1,
                          int var2)

    - #### AttributedString

          public AttributedString(AttributedCharacterIterator var0,
                          int var1,
                          int var2,
                          AttributedCharacterIterator.Attribute[] var3)

  - ### Method Detail

    - #### addAttribute

          public void addAttribute(AttributedCharacterIterator.Attribute var0,
                          Object var1)

    - #### addAttribute

          public void addAttribute(AttributedCharacterIterator.Attribute var0,
                          Object var1,
                          int var2,
                          int var3)

    - #### addAttributes

          public void addAttributes(Map var0,
                           int var1,
                           int var2)

    - #### getIterator

          public AttributedCharacterIterator getIterator()

    - #### getIterator

          public AttributedCharacterIterator getIterator(AttributedCharacterIterator.Attribute[] var0)

    - #### getIterator

          public AttributedCharacterIterator getIterator(AttributedCharacterIterator.Attribute[] var0,
                                                int var1,
                                                int var2)